jphase.distributions

## Class UniformManager

- java.lang.Object
- - jphase.distributions.UniformManager

-     public class UniformManager
      extends java.lang.Object

  This class models the set of available uniform random variate generators
  Author:
    Andrés Sarmiento Romero. Universidad de los Andes. (C) 2013

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `infos` Information of the streamers
    `java.util.ArrayList<java.lang.String>` | `streams` Name of the random number generators

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniformManager()` Initializes the manager

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `umontreal.iro.lecuyer.rng.RandomStream` | `darDistribucion(java.lang.String nombre)` Returns the random number generator given a name
    `java.util.ArrayList<java.lang.String>` | `darDistribuciones()` Returns the name of the streamers
    `java.lang.String` | `darInfoUnif(java.lang.String nombre)` Returns the info of a generator
    `void` | `iniInfo()` Initializes the info of the streamers

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streams

          public java.util.ArrayList<java.lang.String> streams

      Name of the random number generators

    - #### infos

          public java.util.ArrayList<java.lang.String> infos

      Information of the streamers

  - ### Constructor Detail

    - #### UniformManager

          public UniformManager()

      Initializes the manager

  - ### Method Detail

    - #### darDistribuciones

          public java.util.ArrayList<java.lang.String> darDistribuciones()

      Returns the name of the streamers
      Returns:
        streamers

    - #### darDistribucion

          public umontreal.iro.lecuyer.rng.RandomStream darDistribucion(java.lang.String nombre)

      Returns the random number generator given a name
      Parameters:
        `nombre` - Name of the generator
      Returns:
        the generator

    - #### darInfoUnif

          public java.lang.String darInfoUnif(java.lang.String nombre)

      Returns the info of a generator
      Parameters:
        `nombre` - Name of the generator
      Returns:
        The info of the generator

    - #### iniInfo

          public void iniInfo()

      Initializes the info of the streamers